Package net.md_5.bungee.api.event

# Class ProxyPingEvent

java.lang.Object
net.md_5.bungee.api.plugin.Event
net.md_5.bungee.api.event.AsyncEvent<ProxyPingEvent>
net.md_5.bungee.api.event.ProxyPingEvent

public class ProxyPingEvent extends AsyncEvent<ProxyPingEvent>
Called when the proxy is queried for status from the server list.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProxyPingEvent(PendingConnection connection, ServerPing response, Callback<ProxyPingEvent> done)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `PendingConnection`
  `getConnection()`
  The connection asking for a ping response.
  `ServerPing`
  `getResponse()`
  The data to respond with.
  `int`
  `hashCode()`
  `void`
  `setResponse(ServerPing response)`
  The data to respond with.
  `String`
  `toString()`

  ### Methods inherited from class net.md_5.bungee.api.event.AsyncEvent

  `completeIntent, postCall, registerIntent`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProxyPingEvent

    public ProxyPingEvent(PendingConnection connection, ServerPing response, Callback<ProxyPingEvent> done)

- ## Method Details

  - ### getConnection

    public PendingConnection getConnection()
    The connection asking for a ping response.

  - ### getResponse

    public ServerPing getResponse()
    The data to respond with.

  - ### setResponse

    public void setResponse(ServerPing response)
    The data to respond with.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `AsyncEvent<ProxyPingEvent>`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `AsyncEvent<ProxyPingEvent>`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `AsyncEvent<ProxyPingEvent>`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `AsyncEvent<ProxyPingEvent>`